<template>
  <div class="auth-container row m-0">
    <div
      class="col-sm-12 col-md-6 d-flex align-items-center justify-content-center auth-bg-left"
    >
      <div>
        <a href="/">
          <img
            src="@/assets/img/logo.png"
            alt="Main Logo"
            style="margin-left: 10%"
          />
        </a>
      </div>
    </div>
    <div
      class="col-sm-12 col-md-6 d-flex align-items-center justify-content-center"
    >
      <Nuxt />
    </div>
  </div>
</template>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

body {
  overflow-x: hidden;
}
.auth-bg-left {
  background: url(~@/assets/img/auth-bg-1.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: -3%;
  // background-position: left;
}
.auth-container {
  min-height: 100vh;
  width: 100vw;
  background: url(~@/assets/img/auth-bg.png);
  background-size: 100%;
  background-position: center;
  // padding-top: 5vh;
  overflow-x: hidden;
  margin: 0;

  @include media-breakpoint-down(sm) {
    background-size: cover;
  }
  .logo-meta {
    font-style: normal;
    font-weight: 800;
    font-size: 18px;
    line-height: 40px;
    color: #002b43;
  }
  .form-container {
    // margin-top: -20vh;
    min-height: auto;
    width: 65%;
    @include media-breakpoint-down(sm) {
      position: relative;
      width: 100%;
    }
    .form-input {
      input,
      select {
        border: none;
        background: transparent;
        border-radius: 0;
        border-bottom: 1px solid $dark;
        padding: 15px 0;

        min-width: 52px;

        box-shadow: none;
        &:focus {
          box-shadow: none;
          border-bottom: 1px solid $primary;
        }
      }
    }
  }
}
</style>
